/* Oferta */
.oferta {
    .cell {
        .cell-content *:not(button) {
            color: #fff;
        }
    }
    .big-cell {
        margin-top: var(--s-spacing);
    }
}
@media screen and (min-width: 800px) {
    .oferta {
        padding-top: var(--m-spacing);
    }
}
@media screen and (min-width: 520px) {
    .oferta {
        .big-cell {
            .cell-gradient {
                background: linear-gradient(to right, rgba(1, 82, 121, 1), rgba(1, 82, 121, 0));
            }
        }
    } 
}

/* Liczby */
.liczby {
    h2 {
        max-width: 600px;
        margin-bottom: var(--l-spacing);
    }
    p {
        white-space: nowrap;
    }
    p.huge {
        margin-bottom: var(--s-spacing);
    }
} 

/* O nas */
.o-nas .big-cell.left {
    margin-bottom: var(--s-spacing);
}
@media screen and (max-width: 519px) {
    .o-nas .big-cell {
        border-radius: 0;
        gap: var(--m-spacing);
        .cell-content {
            padding: 0;
        }
        .cell-bg {
            border-radius: var(--small-corners) var(--small-corners) 0 0;
        }
        button {
            margin-top: var(--m-spacing);
        }
    }
    .o-nas .big-cell.left {
        flex-direction: column-reverse;
        margin-bottom: var(--l-spacing);
    }
}

/* Certyfikaty */
.certyfikaty {
    position: relative;
    z-index: 1;
    .four-flex .cell {
        flex-basis: 25%;
        height: 100%;
    }
    .cell .background {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;      
        z-index: 0;             
    }
    .cell .cert-container {
        width: 170px;   
        height: 150px; 
    }
    .cell .cert {
        position: relative;
        z-index: 1;
        max-width: 90%;   
        max-height: 90%; 
        object-fit: contain;
        box-shadow: var(--strong-box-shadow);     
    }
    @media screen and (min-width: 799px) and (max-width: 899px) {
        .cell .cert-container {
            width: 150px;  
            height: 150px;  
    }
    }
    @media screen and (min-width: 900px) {
        .four-flex .cell {
            width: auto;
            flex-basis: 50%;
        }
        .cell .cert-container {
            width: 180px;   
            height: 180px; 
         }
        .cell .cert {
            position: relative;
            z-index: 1;
            max-width: 90%;   
            max-height: 90%; 
        }
    }
    @media screen and (max-width: 449px) {
        .cell .cert-container {
            width: 100px;   
            height: 85px; 
        }
    }
}

/* Kontakt CTA */

.kontakt-cta {
    position: relative;
    overflow: hidden;
    margin: calc(-1 * var(--xs-spacing)) 0;
    padding: 0;
    .content {
        position: relative;
    }
    .button-flex > .flex {
        flex-direction: column;
        justify-content: center;
    }
    .cta-btn img {
        filter: saturate(0%) brightness(1000%);
        -webkit-filter: saturate(0%) brightness(1000%);
    }
    .background {
        height: 100%;
        z-index: 0;
    }
    .background img {
        width: 100vw;
        height: inherit;
        object-fit: cover;
    }
    @media screen and (min-width: 650px) {
        margin: calc(-1 * var(--m-spacing)) 0;
    }
    @media screen and (min-width: 1166px) {
        margin: calc(-1 * var(--l-spacing)) 0;
    }
    @media screen and (min-width: 1366px) {
        margin: calc(-1 * var(--xl-spacing)) 0;
    }
}

/* Pierwsza wizyta */

.pierwsza-wizyta {
    .cell-content .flex {
        img {
            margin-top: 0.25rem;
        }
    } 
}

/* Opinie */

.opinie {
    .cell {
        p {
            margin-bottom: var(--s-spacing);
        }
        .flex.stars {
            gap: 0;
        }
        h3, .flex.stars {
            margin-bottom: var(--s-spacing);
        }
    }
}

/* soc-med CTA */
.soc-med-cta {
    .upper-title {
        font-weight: 400;
        margin-bottom: 0;
    }
}

/* Blog digest */
/*! TEMP HIDING!!  */
.blog-digest { display: none !important;}

.blog-digest {
    .img-container {
        position: absolute;
        bottom: 0;
        height: 180px;
    }
    .cell-content {
        position: relative;
        z-index: 2;
    }
    .cell button {
        margin-top: var(--l-spacing);
    }
    @media screen and (min-width: 800px) {
        .cell {
            button {
                width: auto;
            }
        }
    }
    @media screen and (max-width: 519px) {
        .grid {
            grid-template-areas: 'one' 'two' 'four' 'three';
        }
        .one {
            grid-area: one;
        }
        .two {
            grid-area: two;
        }
        .three {
            grid-area: three;
        }
        .four {
            grid-area: four;
        }
    }
}